Subject: Re: Wish: make commiter email address configurable per-repo

From: Stephen Kelly <[email-masked]>
Date: Fri, 07 Jan 2011 19:01:54 +0100

Thomas Rast wrote:

> Stephen Kelly wrote:
>> Thomas Rast wrote:
>> > See user.email in git-config(1).  Most people set it globally, as in
>> > 
>> >   git config --global user.email "[email-masked]"
>> > 
>> > but there's nothing stopping you from doing
>> > 
>> >   git config user.email "[email-masked]"
>> > 
>> > to set it on a per-repo level.  (Or just edit .git/config, of course.)
>> 
>> Doesn't this set both the author and the committer?
> 
> Oh, I see.  Yes, it does.
>
> Stephen Kelly wrote earlier:
>> If my email address that I use for committing is not the same as that
>> configured in the bugzilla, the automated bug closing does not work.
> 
> 
> Probably if KDE has this use-case then that means we need to implement
> it as a feature on size alone, but I briefly looked into the code and
> it requires a bit more restructuring than I'm willing to do over
> coffee.
> 
> I think as a stop-gap measure you'll have to use an alias such as
> 
>   ci = commit --author="your usual <author>"
> 
> along with a local setting for user.email to force them to be
> different.  (Note that this will re-set the author when saying 'git
> ci --amend' on other people's commits!)
> 

Thanks for looking into it!

I'll consider the alias you suggest. Git command aliases can be configured 
per repo, right?

Is there a bug tracker used for git so that this issue doesn't get lost?

All the best,

Steve.